#
# spec file for package agama-cli
#
# Copyright (c) 2023 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           agama-cli
#               This will be set by osc services, that will run after this.
Version:        2.1+0
Release:        1.2
Summary:        Agama command line interface
#               If you know the license, put it's SPDX string here.
#               Alternately, you can use cargo lock2rpmprovides to help generate this.
License:        GPL-2.0-only
Url:            https://github.com/yast/agama-cli
Source0:        agama.tar
Source1:        vendor.tar.zst
# Generated by the cargo_vendor OBS service
Source2:        cargo_config
BuildRequires:  cargo-packaging
BuildRequires:  pkgconfig(openssl)
Requires:       jsonnet
Requires:       lshw

%description
Command line program to interact with the agama service.

%prep
%autosetup -a1 -n agama
mkdir .cargo
cp %{SOURCE2} .cargo/config
# Remove exec bits to prevent an issue in fedora shebang checking. Uncomment only if required.
# find vendor -type f -name \*.rs -exec chmod -x '{}' \;

%build
%{cargo_build}

%install
install -D -d -m 0755 %{buildroot}%{_bindir}
install -m 0755 %{_builddir}/agama/target/release/agama %{buildroot}%{_bindir}/agama
install -D -d -m 0755 %{buildroot}%{_datadir}/agama-cli
install -m 0644 %{_builddir}/agama/agama-lib/share/profile.schema.json %{buildroot}%{_datadir}/agama-cli

%check
%{cargo_test}

%files
%{_bindir}/agama
%dir %{_datadir}/agama-cli
%{_datadir}/agama-cli/profile.schema.json

%changelog
* Tue May 23 2023 Martin Vidner <mvidner@suse.com>
- Version 2.1
* Mon May 22 2023 Martin Vidner <mvidner@suse.com>
- Version 2
* Thu May 11 2023 Imobach Gonzalez Sosa <igonzalezsosa@suse.com>
- Import root authentication settings when reading a Jsonnet file
  (bsc#1211300, gh#openSUSE/agama#573).
- Do not export the SSH public key as an empty string when it is
  not defined.
* Fri Mar 24 2023 Imobach Gonzalez Sosa <igonzalezsosa@suse.com>
- Version 0.2:
  * Add validation for software and users settings
    (gh#yast/agama-cli#48, gh#yast/agama-cli#51).
  * Better error reporting when the bus is not found
    (gh#yast/agama-cli#48).
  * Improve the progress reporting mechanism, although it is still
    a work in progress (gh#yast/agama-cli#50).
* Wed Mar 22 2023 Imobach Gonzalez Sosa <igonzalezsosa@suse.com>
- Add support for setting root authentication mechanisms
  (gh#yast/agama-cli#47).
* Tue Mar 21 2023 Martin Vidner <mvidner@suse.com>
- Do not fall back to the system D-Bus (gh#yast/agama-cli#45).
* Tue Mar 21 2023 Imobach Gonzalez Sosa <igonzalezsosa@suse.com>
- Use JSON as the default format (gh#yast/agama-cli#46).
* Tue Mar 21 2023 Josef Reidinger <jreidinger@suse.com>
- Fix the path of the JSON schema (gh#yast/agama-cli#44).
* Thu Mar 16 2023 Imobach Gonzalez Sosa <igonzalezsosa@suse.com>
- First version of the package:
  * Querying and setting simple values.
  * Adding elements to collections
  * Handling of auto-installation profiles.
  * Basic error handling
- 0.1
